#include<iostream>
#include<string.h>
#include<stack>
#include<vector>
using namespace std;
int main(){
string t,s;
cin>>t>>s;
int n=t.length();
int m=s.length();
int i=0,j=0,br=0;
stack<int> stek;
bool dupli=false;
while(j!=m){
    if(t[i]==s[j]&&t[i+1]!=s[j]&&!dupli){
            i++;
            j++;

            stek.push(i);
            continue;
    }
    if(t[i]==s[j]&&t[i+1]==s[j]){
        i++;
        dupli=true;
        continue;
    }
    if(t[i]==s[j]&&t[i+1]!=s[j]&&dupli){
        i++;
        j++;
        dupli=false;
        continue;
    }
}
cout<<stek.size()<<"\n";
for(int i=0;i<stek.size();i++){
    char c=42;
    int d=stek.top();
    d--;
    t[d]=c;


}
cout<<t;
return 0;
}